Skip to main content
DELETE
Delete a task

Authorizations

Authorization
string
header
required

Bearer token authentication

Headers

x-client-id
string<cuid>
required

The ID of the client

Example:

"cmf41ajzv003706un4i99q19z"

Path Parameters

id
string<cuid>
required

The ID of the item

Example:

"cmf41ajzv003706un4i99q19z"

Response

Task

id
string<cuid>
required

The ID of the task

Example:

"cmf41ajzv003706un4i99q19z"

title
string
required

The title of the task

Example:

"Task 1"

text
string | null
required

The text of the task

Example:

"Upload the documents"

status
enum<string>
required

The status of the task

Available options:
IN_PROGRESS,
ACCEPTED,
OPEN,
IN_REVIEW,
DECLINED
Example:

"OPEN"

dueDate
string<date-time> | null
required

The due date of a task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2021-01-01T00:00:00Z"

workspaceId
string<cuid>
required

The ID of the workspace

Example:

"cmf41ajzv003706un4i99q19z"

createdById
string<cuid> | null
required

The ID of the creator

Example:

"cmf41ajzv003706un4i99q19z"

actorType
enum<string>
required

The type of the actor

Available options:
USER,
SYSTEM,
AI,
API
Example:

"USER"

parentId
string<cuid> | null
required

The ID of the parent task

Example:

"cmf41ajzv003706un4i99q19z"

destinationFolderId
string<cuid> | null
required

The ID of the destination folder where assigned files will be stored

Example:

"cmf41ajzv003706un4i99q19z"

createdAt
string<date-time>
required

The date and time of the creation for the task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2021-01-01T00:00:00Z"

updatedAt
string<date-time>
required

The date and time of the last update for the task. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2021-01-01T00:00:00Z"